> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/general/control/wisej.web.swipedirection.md).

# SwipeDirection

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Indicates the direction of the swipe gesture.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum SwipeDirection : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum SwipeDirection As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name      | Description      |
| --------- | ---------------- |
| **Down**  | Direction down.  |
| **Left**  | Direction left.  |
| **Right** | Direction right. |
| **Up**    | Direction up.    |

## Used By

| Name                                                                                             | Description                                                                                           |
| ------------------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------- |
| [SwipeEventArgs.Direction](/api/wisej.web/general/control/wisej.web.swipeeventargs.md#direction) | Returns the direction of the performed swipe in reference to the axis: X = Up / Down Y = Left / Right |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/control/wisej.web.swipedirection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
